import preprocess from 'svelte-preprocess';
import adapter from '@sveltejs/adapter-static';
import {markdown} from 'svelte-preprocess-markdown';
import path from 'path';

/** @type {import('@sveltejs/kit').Config} */
const config = {
	// Consult https://github.com/sveltejs/svelte-preprocess
	// for more information about preprocessors
	preprocess: [preprocess({
		sass: true,
    typescript: true
	}), markdown()],

	kit: {
		// hydrate the <div id="svelte"> element in src/app.html
		target: '#svelte',
		vite:{
			resolve:{
				alias:{
					$elem: path.resolve('src/elements'),
					// $model: path.resolve('src/model')
				}
			}
		},
		adapter: adapter({
			// default options are shown
			pages: 'build',
			assets: 'build',
			fallback: null
		}),
	}
};

export default config;
